struct Flavor // defines a "Markierung"
{
	int Row;
	int Col;
	// int IsEmpty;
	int Duration;
};

struct ListFlavor
{
	struct Flavor Value;
	struct ListFlavor *Next;
};

struct ListFlavor* mallocFlavorList()
{
	struct ListFlavor *newElement = (struct ListFlavor*) malloc(sizeof(struct ListFlavor));
	newElement->Next = NULL;
	return newElement;
}

// returns 0 if flavor is updated, 1 if it was created
int appendFlavor(struct ListFlavor *list, struct Flavor data)
{
	struct ListFlavor *curFlav = list;
	while(curFlav->Next != NULL)
	{
		curFlav = curFlav->Next;
		if(curFlav->Value.Row == data.Row && curFlav->Value.Col == data.Col)
		{
			// flavor on that pos. already exists. update the duration instead of creating a new entry
			curFlav->Value.Duration = data.Duration;
			return 0;
		}
	}
	struct ListFlavor *newElement = mallocFlavorList();		
	newElement->Value = data;

	curFlav->Next = newElement;
	return 1;
}


void freeFlavor(struct ListFlavor *list)
{
	struct ListFlavor *currentResource = list;
	while(currentResource->Next != NULL)
	{	
		struct ListFlavor *lastResource = currentResource;
		currentResource = currentResource->Next;
		free(lastResource);
	}
	free(currentResource);
}